Subject: Re : Re: Re : Re: Re : Re: [EDUC]1ère version argumentaire LL<=> enseignement de l'informatique
From: [email-masked]
To: David Chemouil <[email-masked]>
Cc: [email-masked]
Date: Wed, 16 Oct 2013 11:21:54 +0200 (CEST)
List-Id: <educ.april.org>

----- David Chemouil <[email-masked]> a écrit :

Coucou David,

> > Un membre de la liste EPI écrivait encore récemment :
> >
> > "Autant je suis POUR découpler le combat du libre de celui de
> > l'instauration d'une discipline informatique à part entière, autant
> > ça me paraît vraiment important de s'engager clairement en faveur du
> > libre sur ce genre de contenus.".
> >
> > Il importe donc que le groupe Educ de l'April construise ses propres
> > positions en refusant de séparer l'enjeu des logiciels de celui du
> > libre sur les contenus, d'une part, et celui d'un enseignement de
> > l'informatique d'avec les logiciels libres.
> 
> Je dois avouer que je ne comprends pas le raisonnement... Pour moi, au 
> minimum pour des raisons de neutralité, l'emploi des LL se justifie 
> quelle que soit la matière enseignée, dans la mesure du possible 
> (j'ajoute cette dernière remarque car il n'existe pas toujours de LL 
> pour appuyer un cours, et il m'est arrivé de recourir à un logiciel 
> proprio qui permettait aux étudiants de mieux saisir la matière 
> enseignée). 

Tout comme toi, j'ai énormément de difficulté à "comprendre" comment un groupe 
comme l'EPI qui milite depuis des décennies pour un enseignement de l'informatique 
recherche des alliances avec le Syntec sans précaution et sans y voir d'antinomie.

Pour autant, je considère que ce serait une erreur de notre part de nous
limiter au seul aspect "emploi des LL" lorsqu'il s'agit d'enseignement
de la science et/ou de la technologie informatique. Pour ce qui concerne
toute matière enseignée, nous sommes bien sûr d'accord, c'est le minimum
syndical.

Mais il importe avant tout de nous débarrasser de l'idée de "produit logiciel"
qui nous force à entrer dans un raisonnement par analogie avec les biens
physiques.

Il s'agit pas d'opposer des produits logiciels libres à des produits logiciels
proprio, Linux à Windows, Libre Office à MS Office, GCC à un compilateur
proprio. Ce n'est pas en termes de "produits logiciels" que se situe 
la ligne de démarcation entre libre et privateur.

D'où la complexité de notre "combat", notamment en matière d'enseignement
et d'éducation, en ce que nous nous heurtons à une idéologie obscurantiste et
dominante qui assimile les logiciels à des produits dans un raisonnement 
par amalgames comme l'énonce si bien Richard Stallman sur la page Mots à éviter 
(ou à utiliser avec précaution) :

"Cette métaphore incite les gens à juger de questions touchant au logiciel et autres 
œuvres numériques en se basant sur leurs opinions et intuitions concernant les biens 
physiques. De plus, elle place ces questions dans le cadre de l'économie, dont les valeurs 
superficielles et limitées ne comportent pas les notions de liberté et de communauté."
http://www.gnu.org/philosophy/words-to-avoid.fr.html#DigitalGoods

Mais à y regarder de plus près, tous les combats du mouvement pour le logiciel
libre découlent de cette erreur épistémologique qui consiste à amalgamer
les logiciels et les oeuvres de l'esprit d'avec les biens physiques :

- Propriété intellectuelle : amalgame avec les biens physiques ;
- Brevets logiciels : amalgame avec les brevets industriels ; 
- Vente subordonnée : amalgame entre des machines et les logiciels ;

etc et etc.

En ce sens, j'accepte et partage volontiers ton point de vue sur la "neutralité.
Mais tout dépend ce que l'on entend par "neutralité".

J'essayais de développer la même idée dans un échange privé avec Vincent-Xavier, à propos 
du libre et de l'enseignement de l'informatique. 

Toute posture scientifique implique une obligation de neutralité, "neutre"
dans le sens où tu l'emploies. Il n'y a donc pas de différence de ce point
de vue entre enseigner la science informatique et enseigner les logiciels 
libres. C'est la même chose.

Nous savons tous que le mouvement pour le logiciel libre a été déclenché par
l'irruption du logiciel privateur au laboratoire d'I.A. du MIT ; la fameuse imprimante 
Xerox dont le pilote était uniquement disponible sous une forme binaire
et dont le code source était inaccessible ; ce qui interdisait aux utilisateurs
de réparer les bugs.

Nous sommes ici, et je n'ai pas le temps d'en faire la démonstration, sur une même
ligne de démarcation entre libre et propriétaire que celle proposée par Karl Popper 
entre entre science et non-science, quand il oppose à la "non-science" le principe de 
la réfutabilité empirique dont les conditions de réalisation sont exactement similaires 
à celles formulées par Eric Raymond dans La Cathédrale et le Bazar qui recommande de tester
le plus souvent.

De ce fait on ne peut pas distinguer la science de la science en train de se faire,
de la même manière qu'on ne peut pas distinguer l'enseignement de l'enseignement
en train de se faire, sans un échange de pair à pair, antinomique avec une organisation
hiérarchique et exclusivement fragmentée nécessaire à l'élaboration d'un code fermé pour 
construire ce qu'on appelle un logiciel propriétaire.
http://fr.wikipedia.org/wiki/La_Cath%C3%A9drale_et_le_Bazar

Et c'est en ce sens que la science n'est pas neutre quand elle propose comme seul
modèle : le modèle propriétaire ; en interdisant aux idées de circuler librement,
en présentant des opinions comme étant des vérités et par delà même le fait
que certaines sciences ont contribué aux fondements des idéologies totalitaires,
comme la théorie des races de la biologie nazie et/ou de la science sociale 
stalinienne.

En ce sens, les programmes scolaires qui me sont donnés à enseigner comme
professeur de technologie sont soit fondés sur un mensonge épistémologique,
soit basés sur des interdictions visant à traiter dans les programmes scolaires
des éléments fondamentaux de connaissance remettant en cause l'idéologie
véhiculée par les lobbies privateurs.

Un exemple concret : la séparation entre le hardware et le software.

Il fut un temps où il était encore permis d'enseigner aux élèves la différence
entre les deux aspects (unité centrale et périphériques d'un côté, le rôle
des systèmes d'exploitation de l'autre, etc. ).

C'est pourquoi, l'enjeu du Libre à l'école ne peut pas être seulement limité
au seul aspect "logiciels libres" versus "logiciels propriétaires" qui 
consisterait uniquement à remplacer les logiciels privateurs
par des logiciels libres, sans prendre en compte programmes scolaires et
contenus des enseignements.

C'est pourquoi, j'adhère totalement à ton propos (également à celui de Yannick
aussi qui vient de te répondre) :

> Mais comme science ou technologie, je ne vois pas bien en quoi 
> l'enseignement de l'informatique ne pourrait être découplé du libre. Je 
> ne dis pas qu'il faut découpler, hein (d'autant que précisément, 
> j'enseigne un cours de master sur l'informatique et la "PI" en insistant 
> sur le libre, pas que le LL), juste que le caractère "couplé" ne me 
> saute pas aux yeux. Je suis preneur d'arguments supplémentaires, de cas 
> pratiques, etc.

Bien à toi,
Librement,
Charlie totalement ravi que nous puissions enfin débattre sur la liste
educ de ces questions fondamentales.

--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ